export const colorsPanel = (selection, props) => {
  const {
    colors,
    circleRadius,
    spacing,
    onCircleClick
  } = props;

  const circles = selection.selectAll('circle')
    .data(colors);
  circles.enter().append('circle')
    .merge(circles)
      .attr('cx', (d, i) => i * spacing)
      .attr('r', circleRadius)
      .attr('fill', color => color)
      .on('click', onCircleClick);
};