import { symbol, symbolSquare } from 'd3';

const shapeSymbol = symbol();

export const mark = (selection, props) => {
  const {
    color,
    size,
    shape
  } = props;
  
  shapeSymbol
    .type(shape)
    .size(size * size * 50);
  
  const paths = selection.selectAll('path')
    .data([null]);
  paths
    .enter().append('path')
    .merge(paths)
      .attr('d', shapeSymbol())
      .attr('fill', color);
};