import { symbol, symbolSquare } from 'd3';

const shapeSymbol = symbol().size(5985);

export const shapePanel = (selection, props) => {
  const {
    shapes,
    spacing,
    onClick
  } = props;
  
  const shapeGroups = selection.selectAll('g')
    .data(shapes);
  const shapeGroupsEnter = shapeGroups
    .enter().append('g')
      .attr('transform', (d, i) => (
        `translate(50,${i * spacing})`
      ));
  
  shapeGroupsEnter.append('path')
    .merge(shapeGroups.select('path'))
      .attr('d', shape => shapeSymbol.type(shape)())
      .on('click', onClick);
};